package cmd

import (
	"github.com/spf13/cobra"
	"yizhisec.com/hsv2/forge/internal/controller/maker"
)

func makeLessDNS() *cobra.Command {
	_cmd := &cobra.Command{
		Use:   "lessdns",
		Short: "Build lessdns",
		Long:  `Build lessdns`,
		RunE: func(cmd *cobra.Command, args []string) error {
			mk := maker.NewMaker()
			return mk.LessDNS(cmd.Context())
		},
	}

	return _cmd
}
